> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catenatelematics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tms Connections

> Get a paginated list of all TMS connections accessible to your organization.



## OpenAPI

````yaml https://api.catenatelematics.com/v2/integrations/openapi.json get /v2/integrations/tms-connections
openapi: 3.1.0
info:
  title: Telematics Integrations Service - REST API
  description: Integrations Service REST API.
  version: 0.1.0
servers:
  - url: https://api.catenatelematics.com
    description: Catena Telematics API
security: []
tags:
  - name: Connections
    description: >-
      Endpoints for managing connections between Fleets and TSPs, including
      their nested schedules and executions. A connection has schedules, and
      each schedule has executions.
  - name: TSP Integrations
    description: Endpoints to view TSPs and their integration support status per resource.
paths:
  /v2/integrations/tms-connections:
    get:
      tags:
        - TMS Connections
      summary: List Tms Connections
      description: >-
        Get a paginated list of all TMS connections accessible to your
        organization.
      operationId: list_tms_connections
      parameters:
        - name: tms_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Tms Id
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Cursor for the next page
            title: Cursor
          description: Cursor for the next page
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            description: Page size
            default: 300
            title: Size
          description: Page size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/_CursorPage_TypeVar_Customized_TmsConnectionRead_
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequest'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Forbidden'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFound'
          description: Not Found
        '405':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MethodNotAllowed'
          description: Method Not Allowed
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Conflict'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableEntity'
          description: Unprocessable Entity
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequests'
          description: Too Many Requests
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
          description: Internal Server Error
        '504':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GatewayTimeout'
          description: Gateway Timeout
      security:
        - Bearer:
            - tms_connection:read
components:
  schemas:
    _CursorPage_TypeVar_Customized_TmsConnectionRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/TmsConnectionRead'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        current_page:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Page
          description: Cursor to refetch the current page
        current_page_backwards:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Page Backwards
          description: Cursor to refetch the current page starting from the last item
        previous_page:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Page
          description: Cursor for the previous page
        next_page:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Page
          description: Cursor for the next page
      type: object
      required:
        - items
        - total
      title: _CursorPage[TypeVar]Customized[TmsConnectionRead]
    BadRequest:
      properties:
        code:
          type: integer
          title: Code
          default: 400
        message:
          type: string
          title: Message
          default: Bad Request
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: BadRequest
    Unauthorized:
      properties:
        code:
          type: integer
          title: Code
          default: 401
        message:
          type: string
          title: Message
          default: Unauthorized
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: Unauthorized
    Forbidden:
      properties:
        code:
          type: integer
          title: Code
          default: 403
        message:
          type: string
          title: Message
          default: Forbidden
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: Forbidden
    NotFound:
      properties:
        code:
          type: integer
          title: Code
          default: 404
        message:
          type: string
          title: Message
          default: Not Found
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: NotFound
    MethodNotAllowed:
      properties:
        code:
          type: integer
          title: Code
          default: 405
        message:
          type: string
          title: Message
          default: Method Not Allowed
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: MethodNotAllowed
    Conflict:
      properties:
        code:
          type: integer
          title: Code
          default: 409
        message:
          type: string
          title: Message
          default: Conflict
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: Conflict
    UnprocessableEntity:
      properties:
        code:
          type: integer
          title: Code
          default: 422
        message:
          type: string
          title: Message
          default: Invalid Request Body
        detail:
          anyOf:
            - items:
                $ref: '#/components/schemas/ValidationErrorDetail'
              type: array
            - type: 'null'
          title: Detail
      type: object
      title: UnprocessableEntity
    TooManyRequests:
      properties:
        code:
          type: integer
          title: Code
          default: 429
        message:
          type: string
          title: Message
          default: Too Many Requests
        detail:
          anyOf:
            - $ref: '#/components/schemas/RetryAfterDetail'
            - type: 'null'
      type: object
      title: TooManyRequests
    InternalServerError:
      properties:
        message:
          type: string
          title: Message
          default: Internal Server Error
      type: object
      title: InternalServerError
    GatewayTimeout:
      properties:
        code:
          type: integer
          title: Code
          default: 504
        message:
          type: string
          title: Message
          default: Gateway Timeout
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: GatewayTimeout
    TmsConnectionRead:
      properties:
        id:
          type: string
          format: uuid
          title: TMS Connection ID
          description: Unique identifier for the TMS connection.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when the connection was created.
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp when the connection was last updated.
        fleet_id:
          type: string
          format: uuid
          title: Fleet ID
          description: The Catena ID of the fleet that owns this connection.
        tms_id:
          type: string
          format: uuid
          title: TMS ID
          description: The ID of the Transportation Management System (TMS).
        source_name:
          $ref: '#/components/schemas/TmsEnum'
          title: Source Name
          description: The name of the TMS integration used for this connection.
        credentials:
          anyOf:
            - $ref: '#/components/schemas/AccessTokenCreds-Output'
            - $ref: '#/components/schemas/ApiAuthCreds-Output'
            - $ref: '#/components/schemas/ApiBasicCreds-Output'
            - $ref: '#/components/schemas/ApiKeyCreds-Output'
            - $ref: '#/components/schemas/AzugaSLC-Output'
            - $ref: '#/components/schemas/BouncieCreds-Output'
            - $ref: '#/components/schemas/ClientIdSecretCreds-Output'
            - $ref: '#/components/schemas/CompanyAccessCreds-Output'
            - $ref: '#/components/schemas/CompanyIdCreds-Output'
            - $ref: '#/components/schemas/DatabaseCreds-Output'
            - $ref: '#/components/schemas/DriverTechCreds-Output'
            - $ref: '#/components/schemas/EZLynkAccessCreds-Output'
            - $ref: '#/components/schemas/EZLynkCreds'
            - $ref: '#/components/schemas/EzlogzCreds'
            - $ref: '#/components/schemas/FactorEldCreds-Output'
            - $ref: '#/components/schemas/FleetupCreds-Output'
            - $ref: '#/components/schemas/FleetupSLC-Output'
            - $ref: '#/components/schemas/GeotabCreds-Output'
            - $ref: '#/components/schemas/IsaacCreds-Output'
            - $ref: '#/components/schemas/MotiveCreds-Output'
            - $ref: '#/components/schemas/OAuth1Creds-Output'
            - $ref: '#/components/schemas/OAuth2Creds-Output'
            - $ref: '#/components/schemas/OAuth2InitiateCreds-Output'
            - $ref: '#/components/schemas/OAuth2PrivateKeyCreds-Output'
            - $ref: '#/components/schemas/OntimeEldCreds-Output'
            - $ref: '#/components/schemas/OptimusTrackerCreds-Output'
            - $ref: '#/components/schemas/PrivateKeyCreds-Output'
            - $ref: '#/components/schemas/RouteOneEldCreds-Output'
            - $ref: '#/components/schemas/S3Creds-Output'
            - $ref: '#/components/schemas/SamsaraCreds-Output'
            - $ref: '#/components/schemas/SftpCreds-Output'
            - $ref: '#/components/schemas/SpireonSLC-Output'
            - $ref: '#/components/schemas/SwitchBoardCreds-Output'
            - $ref: '#/components/schemas/TokenCreds-Output'
            - $ref: '#/components/schemas/TruckXCreds-Output'
            - $ref: '#/components/schemas/TruckXSLC-Output'
            - $ref: '#/components/schemas/TTCreds-Output'
            - $ref: '#/components/schemas/TxtEldSLC-Output'
            - $ref: '#/components/schemas/VerizonConnectCreds-Output'
            - $ref: '#/components/schemas/VerizonConnectSLC-Output'
            - $ref: '#/components/schemas/ZubieCreds-Output'
          title: Credentials
          description: The connection credentials used to authenticate with the TMS.
        status:
          $ref: '#/components/schemas/TmsConnectionStatusEnum'
          title: TMS Connection Status
          description: The current status of the connection.
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: >-
            A description of the connection. Useful when the fleet has multiple
            accounts with the same TMS.
      type: object
      required:
        - id
        - created_at
        - updated_at
        - fleet_id
        - tms_id
        - source_name
        - credentials
        - status
        - description
      title: TmsConnectionRead
      description: API Model for reading a TMS connection
      example:
        credentials:
          client_id: '*****'
          client_secret: '*****'
        description: TMS Simulator connection for fleet 1234
        source_name: tms_simulator
    ValidationErrorDetail:
      properties:
        path:
          type: string
          title: Path
        input:
          type: string
          title: Input
        message:
          type: string
          title: Message
        error_type:
          type: string
          title: Error Type
      type: object
      required:
        - path
        - input
        - message
        - error_type
      title: ValidationErrorDetail
    RetryAfterDetail:
      properties:
        retry_after_seconds:
          type: integer
          title: Retry After Seconds
        message:
          type: string
          title: Message
      type: object
      required:
        - retry_after_seconds
        - message
      title: RetryAfterDetail
    TmsEnum:
      type: string
      enum:
        - tms_simulator
      title: TmsEnum
      description: >-
        Enum for TMS (Transportation Management System) providers.


        Kept separate from TspEnum: TMS providers are not TSPs, and conflating

        them would corrupt registry/validation paths that assume TspEnum
        membership.
    AccessTokenCreds-Output:
      properties:
        access_token:
          title: Access Token
        token_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Token Type
        expires_in:
          anyOf:
            - type: integer
            - type: 'null'
          title: Expires In
        refresh_token:
          title: Refresh Token
        scope:
          anyOf:
            - type: string
            - type: 'null'
          title: Scope
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
        account_id:
          title: Account Id
        host:
          title: Host
      type: object
      required:
        - access_token
      title: AccessTokenCreds
      description: Access Token Credentials
    ApiAuthCreds-Output:
      properties:
        username:
          title: Username
        password:
          title: Password
        api_key:
          title: Api Key
      type: object
      required:
        - username
        - password
        - api_key
      title: ApiAuthCreds
      description: API Auth Connection model
    ApiBasicCreds-Output:
      properties:
        username:
          title: Username
        password:
          title: Password
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        auth_code:
          title: Auth Code
        host:
          title: Host
      type: object
      required:
        - username
        - password
      title: ApiBasicCreds
      description: API Basic Connection model
    ApiKeyCreds-Output:
      properties:
        api_key:
          title: Api Key
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
      type: object
      required:
        - api_key
      title: ApiKeyCreds
      description: API Key Connection model
    AzugaSLC-Output:
      properties:
        api_key:
          title: Api Key
        token:
          title: Token
      type: object
      required:
        - token
      title: AzugaSLC
      description: Azuga Short-lived Credentials model
    BouncieCreds-Output:
      properties:
        auth_code:
          title: Auth Code
        redirect_uri:
          type: string
          title: Redirect Uri
        client_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Id
        client_secret:
          title: Client Secret
      type: object
      required:
        - auth_code
        - redirect_uri
      title: BouncieCreds
      description: Bouncie Credentials model
    ClientIdSecretCreds-Output:
      properties:
        client_id:
          type: string
          title: Client Id
        client_secret:
          title: Client Secret
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        account_id:
          title: Account Id
      type: object
      required:
        - client_id
        - client_secret
      title: ClientIdSecretCreds
      description: Client ID Secret Connection model
    CompanyAccessCreds-Output:
      properties:
        username:
          title: Username
        password:
          title: Password
        company_id:
          title: Company Id
      type: object
      required:
        - username
        - password
      title: CompanyAccessCreds
      description: Company Access Credentials model
    CompanyIdCreds-Output:
      properties:
        company_id:
          title: Company Id
      type: object
      required:
        - company_id
      title: CompanyIdCreds
      description: Company ID Credentials model
    DatabaseCreds-Output:
      properties:
        drivername:
          $ref: '#/components/schemas/DatabaseDriverEnum'
        host:
          title: Host
        port:
          type: integer
          title: Port
        username:
          title: Username
        password:
          title: Password
        database:
          type: string
          title: Database
      type: object
      required:
        - drivername
        - host
        - port
        - username
        - password
        - database
      title: DatabaseCreds
      description: Database Connection model
    DriverTechCreds-Output:
      properties:
        company_id:
          title: Company Id
        username:
          title: Username
        password:
          title: Password
        database:
          type: string
          title: Database
      type: object
      required:
        - company_id
        - username
        - password
        - database
      title: DriverTechCreds
      description: DriverTech Connection model
    EZLynkAccessCreds-Output:
      properties:
        access_token:
          title: Access Token
        carrier_identifier:
          type: string
          title: Carrier Identifier
        carrier_identifier_type:
          type: string
          enum:
            - dot
            - cvor
          title: Carrier Identifier Type
      type: object
      required:
        - access_token
        - carrier_identifier
        - carrier_identifier_type
      title: EZLynkAccessCreds
      description: EZ Lynk Access Credentials model
    EZLynkCreds:
      properties:
        carrier_identifier:
          type: string
          title: Carrier Identifier
        carrier_identifier_type:
          type: string
          enum:
            - dot
            - cvor
          title: Carrier Identifier Type
      type: object
      required:
        - carrier_identifier
        - carrier_identifier_type
      title: EZLynkCreds
      description: EZ Lynk Credentials model for initial onboard
    EzlogzCreds:
      properties:
        app_id:
          type: string
          title: App Id
        app_key:
          type: string
          title: App Key
        client_key:
          type: string
          title: Client Key
      type: object
      required:
        - app_id
        - app_key
        - client_key
      title: EzlogzCreds
      description: Ezlogz Connection model
    FactorEldCreds-Output:
      properties:
        username:
          title: Username
        password:
          title: Password
        api_key:
          title: Api Key
      type: object
      required:
        - username
        - password
        - api_key
      title: FactorEldCreds
      description: Factor ELD Connection model
    FleetupCreds-Output:
      properties:
        account_id:
          title: Account Id
        secret_key:
          title: Secret Key
        api_key:
          title: Api Key
      type: object
      required:
        - account_id
        - secret_key
        - api_key
      title: FleetupCreds
      description: Fleetup Connection model
    FleetupSLC-Output:
      properties:
        account_id:
          title: Account Id
        api_key:
          title: Api Key
        token:
          title: Token
      type: object
      required:
        - account_id
        - api_key
        - token
      title: FleetupSLC
      description: Fleetup SLC Connection model
    GeotabCreds-Output:
      properties:
        username:
          title: Username
        password:
          title: Password
        database:
          type: string
          title: Database
        session_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Session Id
      type: object
      required:
        - username
        - password
        - database
      title: GeotabCreds
      description: Geotab Connection model
    IsaacCreds-Output:
      properties:
        username:
          title: Username
        password:
          title: Password
        auth_code:
          title: Auth Code
        host:
          title: Host
      type: object
      required:
        - username
        - password
        - auth_code
        - host
      title: IsaacCreds
      description: Isaac Connection model
    MotiveCreds-Output:
      properties:
        client_id:
          type: string
          title: Client Id
        client_secret:
          title: Client Secret
        auth_code:
          title: Auth Code
        redirect_uri:
          type: string
          title: Redirect Uri
      type: object
      required:
        - client_id
        - client_secret
        - auth_code
        - redirect_uri
      title: MotiveCreds
      description: Motive Connection model
    OAuth1Creds-Output:
      properties:
        client_id:
          type: string
          title: Client Id
        client_secret:
          title: Client Secret
        resource_owner_id:
          type: string
          title: Resource Owner Id
        resource_owner_secret:
          title: Resource Owner Secret
        signature_method:
          type: string
          title: Signature Method
        realm:
          type: string
          title: Realm
        url:
          type: string
          title: Url
      type: object
      required:
        - client_id
        - client_secret
        - resource_owner_id
        - resource_owner_secret
        - signature_method
        - realm
        - url
      title: OAuth1Creds
      description: OAuth1 Connection model
    OAuth2Creds-Output:
      properties:
        client_id:
          type: string
          title: Client Id
        client_secret:
          title: Client Secret
        scope:
          anyOf:
            - type: string
            - type: 'null'
          title: Scope
        refresh_token:
          title: Refresh Token
        token_url:
          type: string
          title: Token Url
        url:
          type: string
          title: Url
      type: object
      required:
        - client_id
        - client_secret
        - token_url
        - url
      title: OAuth2Creds
      description: OAuth2 Connection model
    OAuth2InitiateCreds-Output:
      properties:
        code:
          title: Code
        grant_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Grant Type
        token_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Token Url
        redirect_uri:
          anyOf:
            - type: string
            - type: 'null'
          title: Redirect Uri
      type: object
      required:
        - code
      title: OAuth2InitiateCreds
      description: OAuth2 Initiate Connection model
    OAuth2PrivateKeyCreds-Output:
      properties:
        client_id:
          type: string
          title: Client Id
        private_key:
          title: Private Key
        scope:
          anyOf:
            - type: string
            - type: 'null'
          title: Scope
        token_url:
          type: string
          title: Token Url
        url:
          type: string
          title: Url
      type: object
      required:
        - client_id
        - private_key
        - token_url
        - url
      title: OAuth2PrivateKeyCreds
      description: OAuth2 Private Key Connection model
    OntimeEldCreds-Output:
      properties:
        api_key:
          title: Api Key
        provider_token:
          title: Provider Token
        dot_number:
          type: string
          title: Dot Number
      type: object
      required:
        - api_key
        - dot_number
      title: OntimeEldCreds
      description: Ontime ELD Connection model
    OptimusTrackerCreds-Output:
      properties:
        api_key:
          title: Api Key
        client_id:
          type: string
          title: Client Id
      type: object
      required:
        - api_key
        - client_id
      title: OptimusTrackerCreds
      description: Optimus Tracker Connection model
    PrivateKeyCreds-Output:
      properties:
        private_key:
          title: Private Key
        consumer_key:
          title: Consumer Key
        username:
          title: Username
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        token_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Token Url
      type: object
      required:
        - private_key
        - consumer_key
        - username
      title: PrivateKeyCreds
      description: Private Key Connection model
    RouteOneEldCreds-Output:
      properties:
        api_key:
          title: Api Key
        consumer_api_key:
          title: Consumer Api Key
      type: object
      required:
        - api_key
        - consumer_api_key
      title: RouteOneEldCreds
      description: Route One ELD Connection model
    S3Creds-Output:
      properties:
        access_key:
          type: string
          title: Access Key
        secret_key:
          title: Secret Key
        bucket_name:
          type: string
          title: Bucket Name
        region:
          type: string
          title: Region
      type: object
      required:
        - access_key
        - secret_key
        - bucket_name
        - region
      title: S3Creds
      description: S3 Connection model
    SamsaraCreds-Output:
      properties:
        client_id:
          type: string
          title: Client Id
        client_secret:
          title: Client Secret
        auth_code:
          title: Auth Code
      type: object
      required:
        - client_id
        - client_secret
        - auth_code
      title: SamsaraCreds
      description: Samsara Connection model
    SftpCreds-Output:
      properties:
        host:
          title: Host
        port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Port
          default: 22
        username:
          title: Username
        password:
          title: Password
      type: object
      required:
        - host
        - username
        - password
      title: SftpCreds
      description: SFTP Connection model
    SpireonSLC-Output:
      properties:
        access_token:
          title: Access Token
        auth_code:
          title: Auth Code
      type: object
      required:
        - access_token
        - auth_code
      title: SpireonSLC
      description: Spireon Short-lived Credentials model
    SwitchBoardCreds-Output:
      properties:
        api_id:
          type: string
          title: Api Id
        api_key:
          title: Api Key
      type: object
      required:
        - api_id
        - api_key
      title: SwitchBoardCreds
      description: SwitchBoard Connection model
    TokenCreds-Output:
      properties:
        token:
          title: Token
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
      type: object
      required:
        - token
      title: TokenCreds
      description: Token Connection model
    TruckXCreds-Output:
      properties:
        dot_number:
          type: string
          title: Dot Number
        token:
          title: Token
      type: object
      required:
        - dot_number
        - token
      title: TruckXCreds
      description: TruckX Short-lived Credentials model
    TruckXSLC-Output:
      properties:
        token:
          title: Token
        carrier_id:
          type: string
          title: Carrier Id
      type: object
      required:
        - token
        - carrier_id
      title: TruckXSLC
      description: TruckX Short-lived Credentials model
    TTCreds-Output:
      properties:
        api_key:
          title: Api Key
        provider_token:
          title: Provider Token
        dot_number:
          type: string
          title: Dot Number
      type: object
      required:
        - api_key
        - provider_token
        - dot_number
      title: TTCreds
      description: Trucking Technologies Credentials model
    TxtEldSLC-Output:
      properties:
        access_token:
          title: Access Token
        carrier_id:
          type: string
          title: Carrier Id
      type: object
      required:
        - access_token
        - carrier_id
      title: TxtEldSLC
      description: TXT ELD Short-lived Credentials model
    VerizonConnectCreds-Output:
      properties:
        username:
          title: Username
        password:
          title: Password
        rest_username:
          title: Rest Username
        rest_password:
          title: Rest Password
      type: object
      required:
        - username
        - password
      title: VerizonConnectCreds
      description: Verizon Connect Connection model
    VerizonConnectSLC-Output:
      properties:
        access_token:
          title: Access Token
        username:
          title: Username
        password:
          title: Password
        rest_username:
          title: Rest Username
        rest_password:
          title: Rest Password
        tk_auth:
          title: Tk Auth
      type: object
      required:
        - access_token
        - username
        - password
        - rest_username
        - rest_password
      title: VerizonConnectSLC
      description: Verizon Connect Short-lived Credentials model
    ZubieCreds-Output:
      properties:
        client_id:
          type: string
          title: Client Id
        client_secret:
          title: Client Secret
        auth_code:
          title: Auth Code
        redirect_uri:
          type: string
          title: Redirect Uri
      type: object
      required:
        - client_id
        - client_secret
        - auth_code
        - redirect_uri
      title: ZubieCreds
      description: Zubie Connection model
    TmsConnectionStatusEnum:
      type: string
      enum:
        - active
        - failed
        - cancelled
        - paused
        - stale
        - deleted
      title: TmsConnectionStatusEnum
      description: Enum representing the possible statuses of a TMS connection.
    DatabaseDriverEnum:
      type: string
      enum:
        - postgresql+psycopg2
        - cockroachdb
        - mongodb
        - mysql
        - mariadb
        - snowflake
        - clickhouse
      title: DatabaseDriverEnum
      description: Database Driver
  securitySchemes:
    Bearer:
      type: oauth2
      flows:
        clientCredentials:
          refreshUrl: >-
            https://auth.catenatelematics.com/realms/catena/protocol/openid-connect/token
          scopes: {}
          tokenUrl: >-
            https://auth.catenatelematics.com/realms/catena/protocol/openid-connect/token
        authorizationCode:
          refreshUrl: >-
            https://auth.catenatelematics.com/realms/catena/protocol/openid-connect/token
          scopes: {}
          authorizationUrl: >-
            https://auth.catenatelematics.com/realms/catena/protocol/openid-connect/auth
          tokenUrl: >-
            https://auth.catenatelematics.com/realms/catena/protocol/openid-connect/token

````